Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network94.0.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
94.0.64.0
Broadcast address
94.0.95.255
First usable
94.0.64.1
Last usable
94.0.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 5E004000 · Integer 1577074688 to 1577082879
Reverse DNS zones
64.0.94.in-addr.arpa
65.0.94.in-addr.arpa
66.0.94.in-addr.arpa
67.0.94.in-addr.arpa
68.0.94.in-addr.arpa
69.0.94.in-addr.arpa
70.0.94.in-addr.arpa
71.0.94.in-addr.arpa
72.0.94.in-addr.arpa
73.0.94.in-addr.arpa
74.0.94.in-addr.arpa
75.0.94.in-addr.arpa
76.0.94.in-addr.arpa
77.0.94.in-addr.arpa
78.0.94.in-addr.arpa
79.0.94.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011110.00000000.01000000.0000000094.0.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01011110.00000000.01000000.0000000094.0.64.0
Broadcast01011110.00000000.01011111.1111111194.0.95.255
Split into smaller subnets/29

94.0.64.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
194.0.64.0/2994.0.64.1 to 94.0.64.694.0.64.76
294.0.64.8/2994.0.64.9 to 94.0.64.1494.0.64.156
394.0.64.16/2994.0.64.17 to 94.0.64.2294.0.64.236
494.0.64.24/2994.0.64.25 to 94.0.64.3094.0.64.316
594.0.64.32/2994.0.64.33 to 94.0.64.3894.0.64.396
694.0.64.40/2994.0.64.41 to 94.0.64.4694.0.64.476
794.0.64.48/2994.0.64.49 to 94.0.64.5494.0.64.556
894.0.64.56/2994.0.64.57 to 94.0.64.6294.0.64.636
994.0.64.64/2994.0.64.65 to 94.0.64.7094.0.64.716
1094.0.64.72/2994.0.64.73 to 94.0.64.7894.0.64.796
1194.0.64.80/2994.0.64.81 to 94.0.64.8694.0.64.876
1294.0.64.88/2994.0.64.89 to 94.0.64.9494.0.64.956
1394.0.64.96/2994.0.64.97 to 94.0.64.10294.0.64.1036
1494.0.64.104/2994.0.64.105 to 94.0.64.11094.0.64.1116
1594.0.64.112/2994.0.64.113 to 94.0.64.11894.0.64.1196
1694.0.64.120/2994.0.64.121 to 94.0.64.12694.0.64.1276
1794.0.64.128/2994.0.64.129 to 94.0.64.13494.0.64.1356
1894.0.64.136/2994.0.64.137 to 94.0.64.14294.0.64.1436
1994.0.64.144/2994.0.64.145 to 94.0.64.15094.0.64.1516
2094.0.64.152/2994.0.64.153 to 94.0.64.15894.0.64.1596
2194.0.64.160/2994.0.64.161 to 94.0.64.16694.0.64.1676
2294.0.64.168/2994.0.64.169 to 94.0.64.17494.0.64.1756
2394.0.64.176/2994.0.64.177 to 94.0.64.18294.0.64.1836
2494.0.64.184/2994.0.64.185 to 94.0.64.19094.0.64.1916
2594.0.64.192/2994.0.64.193 to 94.0.64.19894.0.64.1996
2694.0.64.200/2994.0.64.201 to 94.0.64.20694.0.64.2076
2794.0.64.208/2994.0.64.209 to 94.0.64.21494.0.64.2156
2894.0.64.216/2994.0.64.217 to 94.0.64.22294.0.64.2236
2994.0.64.224/2994.0.64.225 to 94.0.64.23094.0.64.2316
3094.0.64.232/2994.0.64.233 to 94.0.64.23894.0.64.2396
3194.0.64.240/2994.0.64.241 to 94.0.64.24694.0.64.2476
3294.0.64.248/2994.0.64.249 to 94.0.64.25494.0.64.2556
3394.0.65.0/2994.0.65.1 to 94.0.65.694.0.65.76
3494.0.65.8/2994.0.65.9 to 94.0.65.1494.0.65.156
3594.0.65.16/2994.0.65.17 to 94.0.65.2294.0.65.236
3694.0.65.24/2994.0.65.25 to 94.0.65.3094.0.65.316
3794.0.65.32/2994.0.65.33 to 94.0.65.3894.0.65.396
3894.0.65.40/2994.0.65.41 to 94.0.65.4694.0.65.476
3994.0.65.48/2994.0.65.49 to 94.0.65.5494.0.65.556
4094.0.65.56/2994.0.65.57 to 94.0.65.6294.0.65.636
4194.0.65.64/2994.0.65.65 to 94.0.65.7094.0.65.716
4294.0.65.72/2994.0.65.73 to 94.0.65.7894.0.65.796
4394.0.65.80/2994.0.65.81 to 94.0.65.8694.0.65.876
4494.0.65.88/2994.0.65.89 to 94.0.65.9494.0.65.956
4594.0.65.96/2994.0.65.97 to 94.0.65.10294.0.65.1036
4694.0.65.104/2994.0.65.105 to 94.0.65.11094.0.65.1116
4794.0.65.112/2994.0.65.113 to 94.0.65.11894.0.65.1196
4894.0.65.120/2994.0.65.121 to 94.0.65.12694.0.65.1276
4994.0.65.128/2994.0.65.129 to 94.0.65.13494.0.65.1356
5094.0.65.136/2994.0.65.137 to 94.0.65.14294.0.65.1436
5194.0.65.144/2994.0.65.145 to 94.0.65.15094.0.65.1516
5294.0.65.152/2994.0.65.153 to 94.0.65.15894.0.65.1596
5394.0.65.160/2994.0.65.161 to 94.0.65.16694.0.65.1676
5494.0.65.168/2994.0.65.169 to 94.0.65.17494.0.65.1756
5594.0.65.176/2994.0.65.177 to 94.0.65.18294.0.65.1836
5694.0.65.184/2994.0.65.185 to 94.0.65.19094.0.65.1916
5794.0.65.192/2994.0.65.193 to 94.0.65.19894.0.65.1996
5894.0.65.200/2994.0.65.201 to 94.0.65.20694.0.65.2076
5994.0.65.208/2994.0.65.209 to 94.0.65.21494.0.65.2156
6094.0.65.216/2994.0.65.217 to 94.0.65.22294.0.65.2236
6194.0.65.224/2994.0.65.225 to 94.0.65.23094.0.65.2316
6294.0.65.232/2994.0.65.233 to 94.0.65.23894.0.65.2396
6394.0.65.240/2994.0.65.241 to 94.0.65.24694.0.65.2476
6494.0.65.248/2994.0.65.249 to 94.0.65.25494.0.65.2556
6594.0.66.0/2994.0.66.1 to 94.0.66.694.0.66.76
6694.0.66.8/2994.0.66.9 to 94.0.66.1494.0.66.156
6794.0.66.16/2994.0.66.17 to 94.0.66.2294.0.66.236
6894.0.66.24/2994.0.66.25 to 94.0.66.3094.0.66.316
6994.0.66.32/2994.0.66.33 to 94.0.66.3894.0.66.396
7094.0.66.40/2994.0.66.41 to 94.0.66.4694.0.66.476
7194.0.66.48/2994.0.66.49 to 94.0.66.5494.0.66.556
7294.0.66.56/2994.0.66.57 to 94.0.66.6294.0.66.636
7394.0.66.64/2994.0.66.65 to 94.0.66.7094.0.66.716
7494.0.66.72/2994.0.66.73 to 94.0.66.7894.0.66.796
7594.0.66.80/2994.0.66.81 to 94.0.66.8694.0.66.876
7694.0.66.88/2994.0.66.89 to 94.0.66.9494.0.66.956
7794.0.66.96/2994.0.66.97 to 94.0.66.10294.0.66.1036
7894.0.66.104/2994.0.66.105 to 94.0.66.11094.0.66.1116
7994.0.66.112/2994.0.66.113 to 94.0.66.11894.0.66.1196
8094.0.66.120/2994.0.66.121 to 94.0.66.12694.0.66.1276
8194.0.66.128/2994.0.66.129 to 94.0.66.13494.0.66.1356
8294.0.66.136/2994.0.66.137 to 94.0.66.14294.0.66.1436
8394.0.66.144/2994.0.66.145 to 94.0.66.15094.0.66.1516
8494.0.66.152/2994.0.66.153 to 94.0.66.15894.0.66.1596
8594.0.66.160/2994.0.66.161 to 94.0.66.16694.0.66.1676
8694.0.66.168/2994.0.66.169 to 94.0.66.17494.0.66.1756
8794.0.66.176/2994.0.66.177 to 94.0.66.18294.0.66.1836
8894.0.66.184/2994.0.66.185 to 94.0.66.19094.0.66.1916
8994.0.66.192/2994.0.66.193 to 94.0.66.19894.0.66.1996
9094.0.66.200/2994.0.66.201 to 94.0.66.20694.0.66.2076
9194.0.66.208/2994.0.66.209 to 94.0.66.21494.0.66.2156
9294.0.66.216/2994.0.66.217 to 94.0.66.22294.0.66.2236
9394.0.66.224/2994.0.66.225 to 94.0.66.23094.0.66.2316
9494.0.66.232/2994.0.66.233 to 94.0.66.23894.0.66.2396
9594.0.66.240/2994.0.66.241 to 94.0.66.24694.0.66.2476
9694.0.66.248/2994.0.66.249 to 94.0.66.25494.0.66.2556
9794.0.67.0/2994.0.67.1 to 94.0.67.694.0.67.76
9894.0.67.8/2994.0.67.9 to 94.0.67.1494.0.67.156
9994.0.67.16/2994.0.67.17 to 94.0.67.2294.0.67.236
10094.0.67.24/2994.0.67.25 to 94.0.67.3094.0.67.316
10194.0.67.32/2994.0.67.33 to 94.0.67.3894.0.67.396
10294.0.67.40/2994.0.67.41 to 94.0.67.4694.0.67.476
10394.0.67.48/2994.0.67.49 to 94.0.67.5494.0.67.556
10494.0.67.56/2994.0.67.57 to 94.0.67.6294.0.67.636
10594.0.67.64/2994.0.67.65 to 94.0.67.7094.0.67.716
10694.0.67.72/2994.0.67.73 to 94.0.67.7894.0.67.796
10794.0.67.80/2994.0.67.81 to 94.0.67.8694.0.67.876
10894.0.67.88/2994.0.67.89 to 94.0.67.9494.0.67.956
10994.0.67.96/2994.0.67.97 to 94.0.67.10294.0.67.1036
11094.0.67.104/2994.0.67.105 to 94.0.67.11094.0.67.1116
11194.0.67.112/2994.0.67.113 to 94.0.67.11894.0.67.1196
11294.0.67.120/2994.0.67.121 to 94.0.67.12694.0.67.1276
11394.0.67.128/2994.0.67.129 to 94.0.67.13494.0.67.1356
11494.0.67.136/2994.0.67.137 to 94.0.67.14294.0.67.1436
11594.0.67.144/2994.0.67.145 to 94.0.67.15094.0.67.1516
11694.0.67.152/2994.0.67.153 to 94.0.67.15894.0.67.1596
11794.0.67.160/2994.0.67.161 to 94.0.67.16694.0.67.1676
11894.0.67.168/2994.0.67.169 to 94.0.67.17494.0.67.1756
11994.0.67.176/2994.0.67.177 to 94.0.67.18294.0.67.1836
12094.0.67.184/2994.0.67.185 to 94.0.67.19094.0.67.1916
12194.0.67.192/2994.0.67.193 to 94.0.67.19894.0.67.1996
12294.0.67.200/2994.0.67.201 to 94.0.67.20694.0.67.2076
12394.0.67.208/2994.0.67.209 to 94.0.67.21494.0.67.2156
12494.0.67.216/2994.0.67.217 to 94.0.67.22294.0.67.2236
12594.0.67.224/2994.0.67.225 to 94.0.67.23094.0.67.2316
12694.0.67.232/2994.0.67.233 to 94.0.67.23894.0.67.2396
12794.0.67.240/2994.0.67.241 to 94.0.67.24694.0.67.2476
12894.0.67.248/2994.0.67.249 to 94.0.67.25494.0.67.2556
12994.0.68.0/2994.0.68.1 to 94.0.68.694.0.68.76
13094.0.68.8/2994.0.68.9 to 94.0.68.1494.0.68.156
13194.0.68.16/2994.0.68.17 to 94.0.68.2294.0.68.236
13294.0.68.24/2994.0.68.25 to 94.0.68.3094.0.68.316
13394.0.68.32/2994.0.68.33 to 94.0.68.3894.0.68.396
13494.0.68.40/2994.0.68.41 to 94.0.68.4694.0.68.476
13594.0.68.48/2994.0.68.49 to 94.0.68.5494.0.68.556
13694.0.68.56/2994.0.68.57 to 94.0.68.6294.0.68.636
13794.0.68.64/2994.0.68.65 to 94.0.68.7094.0.68.716
13894.0.68.72/2994.0.68.73 to 94.0.68.7894.0.68.796
13994.0.68.80/2994.0.68.81 to 94.0.68.8694.0.68.876
14094.0.68.88/2994.0.68.89 to 94.0.68.9494.0.68.956
14194.0.68.96/2994.0.68.97 to 94.0.68.10294.0.68.1036
14294.0.68.104/2994.0.68.105 to 94.0.68.11094.0.68.1116
14394.0.68.112/2994.0.68.113 to 94.0.68.11894.0.68.1196
14494.0.68.120/2994.0.68.121 to 94.0.68.12694.0.68.1276
14594.0.68.128/2994.0.68.129 to 94.0.68.13494.0.68.1356
14694.0.68.136/2994.0.68.137 to 94.0.68.14294.0.68.1436
14794.0.68.144/2994.0.68.145 to 94.0.68.15094.0.68.1516
14894.0.68.152/2994.0.68.153 to 94.0.68.15894.0.68.1596
14994.0.68.160/2994.0.68.161 to 94.0.68.16694.0.68.1676
15094.0.68.168/2994.0.68.169 to 94.0.68.17494.0.68.1756
15194.0.68.176/2994.0.68.177 to 94.0.68.18294.0.68.1836
15294.0.68.184/2994.0.68.185 to 94.0.68.19094.0.68.1916
15394.0.68.192/2994.0.68.193 to 94.0.68.19894.0.68.1996
15494.0.68.200/2994.0.68.201 to 94.0.68.20694.0.68.2076
15594.0.68.208/2994.0.68.209 to 94.0.68.21494.0.68.2156
15694.0.68.216/2994.0.68.217 to 94.0.68.22294.0.68.2236
15794.0.68.224/2994.0.68.225 to 94.0.68.23094.0.68.2316
15894.0.68.232/2994.0.68.233 to 94.0.68.23894.0.68.2396
15994.0.68.240/2994.0.68.241 to 94.0.68.24694.0.68.2476
16094.0.68.248/2994.0.68.249 to 94.0.68.25494.0.68.2556
16194.0.69.0/2994.0.69.1 to 94.0.69.694.0.69.76
16294.0.69.8/2994.0.69.9 to 94.0.69.1494.0.69.156
16394.0.69.16/2994.0.69.17 to 94.0.69.2294.0.69.236
16494.0.69.24/2994.0.69.25 to 94.0.69.3094.0.69.316
16594.0.69.32/2994.0.69.33 to 94.0.69.3894.0.69.396
16694.0.69.40/2994.0.69.41 to 94.0.69.4694.0.69.476
16794.0.69.48/2994.0.69.49 to 94.0.69.5494.0.69.556
16894.0.69.56/2994.0.69.57 to 94.0.69.6294.0.69.636
16994.0.69.64/2994.0.69.65 to 94.0.69.7094.0.69.716
17094.0.69.72/2994.0.69.73 to 94.0.69.7894.0.69.796
17194.0.69.80/2994.0.69.81 to 94.0.69.8694.0.69.876
17294.0.69.88/2994.0.69.89 to 94.0.69.9494.0.69.956
17394.0.69.96/2994.0.69.97 to 94.0.69.10294.0.69.1036
17494.0.69.104/2994.0.69.105 to 94.0.69.11094.0.69.1116
17594.0.69.112/2994.0.69.113 to 94.0.69.11894.0.69.1196
17694.0.69.120/2994.0.69.121 to 94.0.69.12694.0.69.1276
17794.0.69.128/2994.0.69.129 to 94.0.69.13494.0.69.1356
17894.0.69.136/2994.0.69.137 to 94.0.69.14294.0.69.1436
17994.0.69.144/2994.0.69.145 to 94.0.69.15094.0.69.1516
18094.0.69.152/2994.0.69.153 to 94.0.69.15894.0.69.1596
18194.0.69.160/2994.0.69.161 to 94.0.69.16694.0.69.1676
18294.0.69.168/2994.0.69.169 to 94.0.69.17494.0.69.1756
18394.0.69.176/2994.0.69.177 to 94.0.69.18294.0.69.1836
18494.0.69.184/2994.0.69.185 to 94.0.69.19094.0.69.1916
18594.0.69.192/2994.0.69.193 to 94.0.69.19894.0.69.1996
18694.0.69.200/2994.0.69.201 to 94.0.69.20694.0.69.2076
18794.0.69.208/2994.0.69.209 to 94.0.69.21494.0.69.2156
18894.0.69.216/2994.0.69.217 to 94.0.69.22294.0.69.2236
18994.0.69.224/2994.0.69.225 to 94.0.69.23094.0.69.2316
19094.0.69.232/2994.0.69.233 to 94.0.69.23894.0.69.2396
19194.0.69.240/2994.0.69.241 to 94.0.69.24694.0.69.2476
19294.0.69.248/2994.0.69.249 to 94.0.69.25494.0.69.2556
19394.0.70.0/2994.0.70.1 to 94.0.70.694.0.70.76
19494.0.70.8/2994.0.70.9 to 94.0.70.1494.0.70.156
19594.0.70.16/2994.0.70.17 to 94.0.70.2294.0.70.236
19694.0.70.24/2994.0.70.25 to 94.0.70.3094.0.70.316
19794.0.70.32/2994.0.70.33 to 94.0.70.3894.0.70.396
19894.0.70.40/2994.0.70.41 to 94.0.70.4694.0.70.476
19994.0.70.48/2994.0.70.49 to 94.0.70.5494.0.70.556
20094.0.70.56/2994.0.70.57 to 94.0.70.6294.0.70.636
20194.0.70.64/2994.0.70.65 to 94.0.70.7094.0.70.716
20294.0.70.72/2994.0.70.73 to 94.0.70.7894.0.70.796
20394.0.70.80/2994.0.70.81 to 94.0.70.8694.0.70.876
20494.0.70.88/2994.0.70.89 to 94.0.70.9494.0.70.956
20594.0.70.96/2994.0.70.97 to 94.0.70.10294.0.70.1036
20694.0.70.104/2994.0.70.105 to 94.0.70.11094.0.70.1116
20794.0.70.112/2994.0.70.113 to 94.0.70.11894.0.70.1196
20894.0.70.120/2994.0.70.121 to 94.0.70.12694.0.70.1276
20994.0.70.128/2994.0.70.129 to 94.0.70.13494.0.70.1356
21094.0.70.136/2994.0.70.137 to 94.0.70.14294.0.70.1436
21194.0.70.144/2994.0.70.145 to 94.0.70.15094.0.70.1516
21294.0.70.152/2994.0.70.153 to 94.0.70.15894.0.70.1596
21394.0.70.160/2994.0.70.161 to 94.0.70.16694.0.70.1676
21494.0.70.168/2994.0.70.169 to 94.0.70.17494.0.70.1756
21594.0.70.176/2994.0.70.177 to 94.0.70.18294.0.70.1836
21694.0.70.184/2994.0.70.185 to 94.0.70.19094.0.70.1916
21794.0.70.192/2994.0.70.193 to 94.0.70.19894.0.70.1996
21894.0.70.200/2994.0.70.201 to 94.0.70.20694.0.70.2076
21994.0.70.208/2994.0.70.209 to 94.0.70.21494.0.70.2156
22094.0.70.216/2994.0.70.217 to 94.0.70.22294.0.70.2236
22194.0.70.224/2994.0.70.225 to 94.0.70.23094.0.70.2316
22294.0.70.232/2994.0.70.233 to 94.0.70.23894.0.70.2396
22394.0.70.240/2994.0.70.241 to 94.0.70.24694.0.70.2476
22494.0.70.248/2994.0.70.249 to 94.0.70.25494.0.70.2556
22594.0.71.0/2994.0.71.1 to 94.0.71.694.0.71.76
22694.0.71.8/2994.0.71.9 to 94.0.71.1494.0.71.156
22794.0.71.16/2994.0.71.17 to 94.0.71.2294.0.71.236
22894.0.71.24/2994.0.71.25 to 94.0.71.3094.0.71.316
22994.0.71.32/2994.0.71.33 to 94.0.71.3894.0.71.396
23094.0.71.40/2994.0.71.41 to 94.0.71.4694.0.71.476
23194.0.71.48/2994.0.71.49 to 94.0.71.5494.0.71.556
23294.0.71.56/2994.0.71.57 to 94.0.71.6294.0.71.636
23394.0.71.64/2994.0.71.65 to 94.0.71.7094.0.71.716
23494.0.71.72/2994.0.71.73 to 94.0.71.7894.0.71.796
23594.0.71.80/2994.0.71.81 to 94.0.71.8694.0.71.876
23694.0.71.88/2994.0.71.89 to 94.0.71.9494.0.71.956
23794.0.71.96/2994.0.71.97 to 94.0.71.10294.0.71.1036
23894.0.71.104/2994.0.71.105 to 94.0.71.11094.0.71.1116
23994.0.71.112/2994.0.71.113 to 94.0.71.11894.0.71.1196
24094.0.71.120/2994.0.71.121 to 94.0.71.12694.0.71.1276
24194.0.71.128/2994.0.71.129 to 94.0.71.13494.0.71.1356
24294.0.71.136/2994.0.71.137 to 94.0.71.14294.0.71.1436
24394.0.71.144/2994.0.71.145 to 94.0.71.15094.0.71.1516
24494.0.71.152/2994.0.71.153 to 94.0.71.15894.0.71.1596
24594.0.71.160/2994.0.71.161 to 94.0.71.16694.0.71.1676
24694.0.71.168/2994.0.71.169 to 94.0.71.17494.0.71.1756
24794.0.71.176/2994.0.71.177 to 94.0.71.18294.0.71.1836
24894.0.71.184/2994.0.71.185 to 94.0.71.19094.0.71.1916
24994.0.71.192/2994.0.71.193 to 94.0.71.19894.0.71.1996
25094.0.71.200/2994.0.71.201 to 94.0.71.20694.0.71.2076
25194.0.71.208/2994.0.71.209 to 94.0.71.21494.0.71.2156
25294.0.71.216/2994.0.71.217 to 94.0.71.22294.0.71.2236
25394.0.71.224/2994.0.71.225 to 94.0.71.23094.0.71.2316
25494.0.71.232/2994.0.71.233 to 94.0.71.23894.0.71.2396
25594.0.71.240/2994.0.71.241 to 94.0.71.24694.0.71.2476
25694.0.71.248/2994.0.71.249 to 94.0.71.25494.0.71.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses